WebLogicVirtualHost (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicVirtualHost interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicVirtualHost

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebVirtualHost

    public interface WebLogicVirtualHost

extends WebVirtualHost

Represents an WebLogic Virtual Host.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getClusteringEnabled()`
`boolean` | `getDebugEnabled()`
`boolean` | `getEventsEnabled()`
`int` | `getHTTPSKeepAliveSecs()`
`boolean` | `getKeepAliveEnabled()`
`int` | `getKeepAliveSecs()`
`int` | `getLogFileBufferKBytes()`
`int` | `getLogFileFlushSecs()`
`java.lang.String` | `getLogFileFormat()`
`java.lang.String` | `getLogFileName()`
`boolean` | `getLoggingEnabled()`
`int` | `getLogRotationPeriodMins()`
`java.lang.String` | `getLogRotationTimeBegin()`
`java.lang.String` | `getLogRotationType()`
`int` | `getMaxLogFileSizeKBytes()`
`int` | `getMaxPostSize()`
`int` | `getMaxPostTimeSecs()`
`int` | `getPostTimeoutSecs()`
`boolean` | `getSendServerHeaderEnabled()`
`boolean` | `getSingleSingonDisabled()`
`boolean` | `getWAPEnabled()`
`int` | `getWriteChunkBytes()`
`boolean` | `hasClusteringEnabled()`
`boolean` | `hasDebugEnabled()`
`boolean` | `hasEventsEnabled()`
`boolean` | `hasHTTPSKeepAliveSecs()`
`boolean` | `hasKeepAliveEnabled()`
`boolean` | `hasKeepAliveSecs()`
`boolean` | `hasLogFileBufferKBytes()`
`boolean` | `hasLogFileFlushSecs()`
`boolean` | `hasLogFileFormat()`
`boolean` | `hasLogFileName()`
`boolean` | `hasLoggingEnabled()`
`boolean` | `hasLogRotationPeriodMins()`
`boolean` | `hasLogRotationTimeBegin()`
`boolean` | `hasLogRotationType()`
`boolean` | `hasMaxLogFileSizeKBytes()`
`boolean` | `hasMaxPostSize()`
`boolean` | `hasMaxPostTimeSecs()`
`boolean` | `hasPostTimeoutSecs()`
`boolean` | `hasSendServerHeaderEnabled()`
`boolean` | `hasSingleSingonDisabled()`
`boolean` | `hasWAPEnabled()`
`boolean` | `hasWriteChunkBytes()`
`void` | `setClusteringEnabled(boolean b)`
`void` | `setDebugEnabled(boolean b)`
`void` | `setEventsEnabled(boolean b)`
`void` | `setHTTPSKeepAliveSecs(int i)`
`void` | `setKeepAliveEnabled(boolean b)`
`void` | `setKeepAliveSecs(int i)`
`void` | `setLogFileBufferKBytes(int i)`
`void` | `setLogFileFlushSecs(int i)`
`void` | `setLogFileFormat(java.lang.String s)`
`void` | `setLogFileName(java.lang.String s)`
`void` | `setLoggingEnabled(boolean b)`
`void` | `setLogRotationPeriodMins(int i)`
`void` | `setLogRotationTimeBegin(java.lang.String s)`
`void` | `setLogRotationType(java.lang.String s)`
`void` | `setMaxLogFileSizeKBytes(int i)`
`void` | `setMaxPostSize(int i)`
`void` | `setMaxPostTimeSecs(int i)`
`void` | `setPostTimeoutSecs(int i)`
`void` | `setSendServerHeaderEnabled(boolean b)`
`void` | `setSingleSingonDisabled(boolean b)`
`void` | `setWAPEnabled(boolean b)`
`void` | `setWriteChunkBytes(int i)`

Methods inherited from interface com.collation.platform.model.topology.app.web.WebVirtualHost
`getBindAddresses, getDefaultWebServer, getDirectives, getDocumentRoot, getParent, getPrimarySAP, getProxyServer, getServerAliases, getServerName, hasBindAddresses, hasDefaultWebServer, hasDirectives, hasDocumentRoot, hasParent, hasPrimarySAP, hasProxyServer, hasServerAliases, hasServerName, setBindAddresses, setDefaultWebServer, setDirectives, setDocumentRoot, setParent, setPrimarySAP, setProxyServer, setServerAliases, setServerName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getHTTPSKeepAliveSecs

    int getHTTPSKeepAliveSecs()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHTTPSKeepAliveSecs

    void setHTTPSKeepAliveSecs(int i)

### hasHTTPSKeepAliveSecs

    boolean hasHTTPSKeepAliveSecs()

### getKeepAliveSecs

    int getKeepAliveSecs()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKeepAliveSecs

    void setKeepAliveSecs(int i)

### hasKeepAliveSecs

    boolean hasKeepAliveSecs()

### getLogFileBufferKBytes

    int getLogFileBufferKBytes()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogFileBufferKBytes

    void setLogFileBufferKBytes(int i)

### hasLogFileBufferKBytes

    boolean hasLogFileBufferKBytes()

### getLogFileFlushSecs

    int getLogFileFlushSecs()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogFileFlushSecs

    void setLogFileFlushSecs(int i)

### hasLogFileFlushSecs

    boolean hasLogFileFlushSecs()

### getLogFileFormat

    java.lang.String getLogFileFormat()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogFileFormat

    void setLogFileFormat(java.lang.String s)

### hasLogFileFormat

    boolean hasLogFileFormat()

### getLogFileName

    java.lang.String getLogFileName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogFileName

    void setLogFileName(java.lang.String s)

### hasLogFileName

    boolean hasLogFileName()

### getLogRotationPeriodMins

    int getLogRotationPeriodMins()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogRotationPeriodMins

    void setLogRotationPeriodMins(int i)

### hasLogRotationPeriodMins

    boolean hasLogRotationPeriodMins()

### getLogRotationTimeBegin

    java.lang.String getLogRotationTimeBegin()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogRotationTimeBegin

    void setLogRotationTimeBegin(java.lang.String s)

### hasLogRotationTimeBegin

    boolean hasLogRotationTimeBegin()

### getLogRotationType

    java.lang.String getLogRotationType()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogRotationType

    void setLogRotationType(java.lang.String s)

### hasLogRotationType

    boolean hasLogRotationType()

### getMaxLogFileSizeKBytes

    int getMaxLogFileSizeKBytes()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxLogFileSizeKBytes

    void setMaxLogFileSizeKBytes(int i)

### hasMaxLogFileSizeKBytes

    boolean hasMaxLogFileSizeKBytes()

### getMaxPostSize

    int getMaxPostSize()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxPostSize

    void setMaxPostSize(int i)

### hasMaxPostSize

    boolean hasMaxPostSize()

### getMaxPostTimeSecs

    int getMaxPostTimeSecs()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxPostTimeSecs

    void setMaxPostTimeSecs(int i)

### hasMaxPostTimeSecs

    boolean hasMaxPostTimeSecs()

### getPostTimeoutSecs

    int getPostTimeoutSecs()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPostTimeoutSecs

    void setPostTimeoutSecs(int i)

### hasPostTimeoutSecs

    boolean hasPostTimeoutSecs()

### getWriteChunkBytes

    int getWriteChunkBytes()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWriteChunkBytes

    void setWriteChunkBytes(int i)

### hasWriteChunkBytes

    boolean hasWriteChunkBytes()

### getClusteringEnabled

    boolean getClusteringEnabled()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClusteringEnabled

    void setClusteringEnabled(boolean b)

### hasClusteringEnabled

    boolean hasClusteringEnabled()

### getDebugEnabled

    boolean getDebugEnabled()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDebugEnabled

    void setDebugEnabled(boolean b)

### hasDebugEnabled

    boolean hasDebugEnabled()

### getEventsEnabled

    boolean getEventsEnabled()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEventsEnabled

    void setEventsEnabled(boolean b)

### hasEventsEnabled

    boolean hasEventsEnabled()

### getKeepAliveEnabled

    boolean getKeepAliveEnabled()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKeepAliveEnabled

    void setKeepAliveEnabled(boolean b)

### hasKeepAliveEnabled

    boolean hasKeepAliveEnabled()

### getLoggingEnabled

    boolean getLoggingEnabled()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoggingEnabled

    void setLoggingEnabled(boolean b)

### hasLoggingEnabled

    boolean hasLoggingEnabled()

### getSendServerHeaderEnabled

    boolean getSendServerHeaderEnabled()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSendServerHeaderEnabled

    void setSendServerHeaderEnabled(boolean b)

### hasSendServerHeaderEnabled

    boolean hasSendServerHeaderEnabled()

### getSingleSingonDisabled

    boolean getSingleSingonDisabled()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSingleSingonDisabled

    void setSingleSingonDisabled(boolean b)

### hasSingleSingonDisabled

    boolean hasSingleSingonDisabled()

### getWAPEnabled

    boolean getWAPEnabled()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWAPEnabled

    void setWAPEnabled(boolean b)

### hasWAPEnabled

    boolean hasWAPEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD